// Visual Magic Demo
// Non-aliased DML Commands and Functions.

// In this example Visual Magic tracks the current workarea and converts
// non-aliased commands and functions to DBServer methods and IVars.

// The FIELD declaration indicates to Visual Magic that 'stockId' is a field.
// Depending upon your setting in "Conversion Parameters" the FIELD
// declaration will either be moved inside the function, removed altogether
// or commented out.

FIELD stockId

FUNCTION Collect2()
LOCAL aStockIds:={}
USE STOCK NEW INDEX STOCK1, STOCK2
GO TOP
DO WHILE .NOT. eof()
   aadd(aStockIds, {stockId, recno()})
   SKIP
ENDDO
USE
RETURN aStockIds
