// Visual Magic Demo
// #DEFINE conversions

// Regular definition of manifest constant
#define MAXUSERS 10

// Manifest constant without assigning a value
#define SINGLEUSER

// Definition is a manifest constant which is not a constant
// (In CA-Visual Objects a constant must have a value which is constant
// at compile time. Visual Magic detects that this constant cannot be
// translated into a constant and converts it to a function. It then changes
// all of the code which uses the constant to use the function instead.)
#define LOGINMETHOD {|oUser| DBLogin(oUser)}

FUNCTION Test1()

// As LOGINMETHOD has been changed from a constant to function this
// usage code is also changed.
Eval(LOGINMETHOD)

// The definition of this constant break the entity into two parts when
// it is imported so Visual Magic moves it to the end of the function.
#define BREAKS_UP_AN_ENTITY

GO TOP

RETURN NIL
