// Visual Magic Demo
// Preprocessor conversions

// #INCLUDE is not used in CA-Visual Objects so this line is removed.
#include "inkey.ch"

// Regular UDC is removed and placed in VMAGIC.UDC
#command UPDATESTOCK <nNewBalance> => ;
Stock->StockBalance:=<nNewBalance>

// CA-Visual Objects UDCs must result in an expression and not another UDC
// so Visual Magic provides a warning in VMAGIC.RPT
#command GOODBYE => QUIT

// A regular conversion of a pseudo function
#translate SalesTax(<nValue>) => (<nValue> * 0.15)

// A conversion to nothing
#translate DoesntExist() =>

// A conversion of a fragment of text
// CA-Visual Objects does not support #TRANSLATE and as #TRANSLATE is being
// used here to convert a fragment of text (i.e. not a function) then is
// no possible conversion to CA-Visual Objects. In this case Visual Magic
// preprocesses the code itself.
#translate .StockCode    => \[1]
#translate .StockBalance => \[2]
#translate .StockReOrder => \[3]

FUNCTION Test2()
aInfo:=array(3)
aInfo.StockCode    := STOCKCODE
aInfo.StockBalance := STOCKBALANCE
aInfo.StockReOrder := STOCKREORDER
RETURN NIL
